package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingEspecificoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecificoOcupacion;
import com.rjconsultores.ventaboletos.service.GP_PricingEspecificoOcupacionService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingEspecificoOcupacionService")
public class GP_PricingEspecificoOcupacionServiceImpl implements GP_PricingEspecificoOcupacionService {
    @Autowired
    private GP_PricingEspecificoOcupacionDAO pricingEspecificoOcupacionDAO;
    
	@Override
	public List<GP_PricingEspecificoOcupacion> obtenerTodos() {
		return pricingEspecificoOcupacionDAO.obtenerTodos();
	}

	@Override
	public GP_PricingEspecificoOcupacion obtenerID(Long id) {
		return pricingEspecificoOcupacionDAO.obtenerID(id);
	}

	@Override
	public GP_PricingEspecificoOcupacion suscribir(GP_PricingEspecificoOcupacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return pricingEspecificoOcupacionDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public GP_PricingEspecificoOcupacion actualizacion(GP_PricingEspecificoOcupacion entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());

		return pricingEspecificoOcupacionDAO.actualizacion(entidad);
	}

	@Override
	public void borrar(GP_PricingEspecificoOcupacion entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        pricingEspecificoOcupacionDAO.actualizacion(entidad);
	}

}
